package com.mortals.xhx.module.slideshow.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.slideshow.model.vo.SlideshowVo;
import lombok.Data;
/**
 * 轮播实体对象
 *
 * @author zxfei
 * @date 2024-11-29
 */
@Data
public class SlideshowEntity extends SlideshowVo {
    private static final long serialVersionUID = 1L;

    /**
     * 图片地址
     */
    private String imageUrl;
    /**
     * 描述
     */
    private String introduction;
    /**
     * 图标
     */
    private String icon;
    /**
     * 名称
     */
    private String name;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SlideshowEntity) {
            SlideshowEntity tmp = (SlideshowEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.imageUrl = "";
        this.introduction = "";
        this.icon = "";
        this.name = "";
    }
}